Subject: Re: [PATCH net-next 1/4] mlx4/mlx5: {mlx4,mlx5e}_en_get_module_info cleanup

From: Simon Horman <[email-masked]>
Date: Sat, 14 Sep 2024 09:21:56 +0100

On Fri, Sep 13, 2024 at 07:48:08PM -0700, Jakub Kicinski wrote:
> On Fri, 13 Sep 2024 19:12:01 -0700 Krzysztof Olędzki wrote:
> > On 13.09.2024 at 13:55, Jakub Kicinski wrote:
> > > On Wed, 11 Sep 2024 23:38:45 -0700 Krzysztof Olędzki wrote:  
> > >> Use SFF8024 constants defined in linux/sfp.h instead of private ones.
> > >>
> > >> Make mlx4_en_get_module_info() and mlx5e_get_module_info() to look
> > >> as close as possible to each other.
> > >>
> > >> Simplify the logic for selecting SFF_8436 vs SFF_8636.  
> > > 
> > > Minor process suggestion, I think you may be sending the patches one by
> > > one. It's best to format them into a new directory and send all at once
> > > with git send-email. Add a cover letter, too.
> > >   
> > 
> > Thanks, yes, will do for v2. I assume this needs to wait for about
> > two weeks for net-next to re-open?
> 
> The cleanups - yes, but if patch 3 works you should make it independent
> and send as a fix (and trees never close for fixes).

Hi Krzysztof,

Just to expand on what Jakub wrote a little. In general fixes should have a
Fixes tag and be targeted at the net tree.

	Subject: [PATCH net] ...

Link: https://docs.kernel.org/process/maintainer-netdev.html